------------------------------------------------------------------------------------
--Name:  	shengdan2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-11-15
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(159, 76)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddSimplePlayer(45340, 151, 85, "", 0, 0)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:AddSimplePlayer(45350, 153, 67, "", 0, 0)
Player_2:SetDir(7)
local Player_3 = CppScriptMgr:AddSimplePlayer(45360, 171, 71, "", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(45390, 169, 89, "", 0, 0)
Player_4:SetDir(3)
local Player_5 = CppScriptMgr:AddSimplePlayer(45404, 161, 81, "", 0, 0)
Player_5:SetDir(4)
local Player_6 = CppScriptMgr:AddSimplePlayer(1050960, 161, 76, "", 0, 0)
Player_6:SetHide(1)
Player_6:SetZoomPercent(150)
local effect_1 = CppScriptMgr:AddEffect("QiFuLev3", 161, 76, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Miracle Star Array, with your powerful magic, ", 2000)
Player_2:Say("Miracle Star Array, with your powerful magic, ", 2000)
Player_3:Say("Miracle Star Array, with your powerful magic, ", 2000)
Player_4:Say("Miracle Star Array, with your powerful magic, ", 2000)
Player_5:Say("Miracle Star Array, with your powerful magic, ", 2000)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("We ask earnestly: ", 1000)
Player_2:Say("We ask earnestly: ", 1000)
Player_3:Say("We ask earnestly: ", 1000)
Player_4:Say("We ask earnestly: ", 1000)
Player_5:Say("We ask earnestly: ", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Let Santa Claus descend and save our homeland!", 2000)
Player_2:Say("Let Santa Claus descend and save our homeland!", 2000)
Player_3:Say("Let Santa Claus descend and save our homeland!", 2000)
Player_4:Say("Let Santa Claus descend and save our homeland!", 2000)
Player_5:Say("Let Santa Claus descend and save our homeland!", 2000)
CppScriptMgr:WaitMilSec(1970)
CppScriptMgr:ShakeScrEffect(1)
local effect_0 = CppScriptMgr:AddEffect("Attack35r", 161, 76, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(990)
Player_6:SetAction(1111)
local effect_2 = CppScriptMgr:AddEffect("zf2-e236", 161, 76, 33, 1, 1, 1)
local Effect_1 = CppScriptMgr:AddEffect("hunpo02", 161, 76, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("eidolon", 161, 76, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(990)
Player_6:SetHide(0)
CppScriptMgr:WaitMilSec(1320)
Player_6:Say("Hey! Your favorite Santa Claus is here!", 3000)
CppScriptMgr:WaitMilSec(4180)